package cn.reghao.tnb.search.app.blog.model.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @author reghao
 * @date 2024-06-13 21:05:21
 */
@Setter
@Getter
public class QuestionView {
    private int id;
    private String questionId;
    private String title;
    private String category;
    private String tag;
    private String content;
    private int weight;

    public QuestionView(AdminArticle question) {
        this.id = question.getId();
        this.questionId = question.getArticleId();
        this.title = question.getTitle();
        this.category = question.getCategory();
        this.tag = question.getTags().toString();
        this.content = question.getContent();
        this.weight = question.getWeight();
    }
}
